%global momorel 1

Summary:	Generic archive extracting mechanism
Name:		perl-Archive-Extract
Version:	0.32
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Archive/Archive-Extract-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Archive/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.8
BuildArch:	noarch
BuildRequires:	perl-IPC-Cmd
BuildRequires:	perl-Locale-Maketext-Simple
BuildRequires:	perl-Module-Load-Conditional
BuildRequires:	perl-Params-Check

%description
A generic archive extracting mechanism.

%prep
%setup -q -n Archive-Extract-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Archive-Extract-%{version}-filelist
if [ "$(cat Archive-Extract-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Archive-Extract-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Sat Jun 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-1m)
- update to 0.32

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.30-2m)
- rebuild against rpm-4.6

* Thu Dec 18 2008 NARITA Koichi <pullllsar@momonga-linux.org>
- (0.30-1m)
- update to 0.30

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.26-2m)
- rebuild against gcc43

* Mon Jan 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.24-1m)
- update to 0.24

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.22-1m)
- update to 0.22

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16-2m)
- use vendor

* Sun Jan 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16

* Fri Jan  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15_03-1m)
- update to 0.15_03

* Wed Oct  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14-1m)
- update to 0.14

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-1m)
- spec file was autogenerated
